PLplot: plserver.c File Reference

PLplot 5.15.0

Macros | Functions | Variables
plserver.c File Reference
`#include "plserver.h"`

Go to the source code of this file.

## Macros
#define | NEED_PLDEBUG

## Functions
static int | plExitCmd (ClientData clientData, Tcl_Interp *interp, int argc, char **argv)
static void | tcl_cmd (Tcl_Interp *interp, const char *cmd)
static int | AppInit (Tcl_Interp *interp)
int | main (int argc, const char **argv)
static int | plExitCmd (ClientData PL_UNUSED(clientData), Tcl_Interp *interp, int argc, char **argv)

## Variables
static char * | client_name
static char * | auto_path
static int | child
static char * | client_host
static char * | client_port
static Tk_ArgvInfo | argTable []

## Macro Definition Documentation

## ◆ NEED_PLDEBUG

#define NEED_PLDEBUG

Definition at line 37 of file plserver.c.

## Function Documentation

## ◆ AppInit()

static int AppInit | ( | Tcl_Interp * | interp | ) |
| static

Definition at line 189 of file plserver.c.

## ◆ main()

int main | ( | int | argc,
|  | const char ** | argv
| ) |  |

Definition at line 94 of file plserver.c.

## ◆ plExitCmd() [1/2]

static int plExitCmd | ( | ClientData | clientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | char ** | argv
| ) |  |
| static

## ◆ plExitCmd() [2/2]

static int plExitCmd | ( | ClientData | PL_UNUSEDclientData,
|  | Tcl_Interp * | interp,
|  | int | argc,
|  | char ** | argv
| ) |  |
| static

Definition at line 269 of file plserver.c.

## ◆ tcl_cmd()

static void tcl_cmd | ( | Tcl_Interp * | interp,
|  | const char * | cmd
| ) |  |
| static

Definition at line 320 of file plserver.c.

## Variable Documentation

## ◆ argTable

Tk_ArgvInfo argTable[]
| static

Initial value:
= {
{ "-client_name", TK_ARGV_STRING, (char *) NULL, (char *) &client_name,
"Client main window name to connect to" },
{ "-client_host", TK_ARGV_STRING, (char *) NULL, (char *) &client_host,
"Client host to connect to" },
{ "-client_port", TK_ARGV_STRING, (char *) NULL, (char *) &client_port,
"Client port (Tcl-DP) to connect to" },
{ "-auto_path", TK_ARGV_STRING, (char *) NULL, (char *) &auto_path,
"Additional directory(s) to autoload" },
{ "-child", TK_ARGV_CONSTANT, (char *) 1, (char *) &child,
"Set ONLY when child of PLplot TK driver" },
{ (char *) NULL, TK_ARGV_END, (char *) NULL, (char *) NULL,
(char *) NULL }
}
auto_path
static char * auto_path
Definition: plserver.c:44
client_port
static char * client_port
Definition: plserver.c:50
client_host
static char * client_host
Definition: plserver.c:49
child
static int child
Definition: plserver.c:45
client_name
static char * client_name
Definition: plserver.c:43

Definition at line 52 of file plserver.c.

## ◆ auto_path

char* auto_path
| static

Definition at line 44 of file plserver.c.

## ◆ child

int child
| static

Definition at line 45 of file plserver.c.

## ◆ client_host

char* client_host
| static

Definition at line 49 of file plserver.c.

## ◆ client_name

char* client_name
| static

Definition at line 43 of file plserver.c.

## ◆ client_port

char* client_port
| static

Definition at line 50 of file plserver.c.